# Getting started with VsCode

VsCode is an powerful text editor, hidden behind a simple interface.

## Keyboard shortcuts
VsCode supports various **keyboard shortcuts**, the most important for us are:

| Shortcut      | Action                       |
| ------------- | ---------------------------- |
| `cmd+N`       | create a new file            |
| `cmd+S`       | save the current file        |
| `cmd+O`       | open a file                  |
| `cmd+P`       | use quickpick to open a file |
| `cmd+shift+P` | invoke a command (see below) |

For more information, see the [vscode keyboard cheat sheets](https://code.visualstudio.com/docs/getstarted/keybindings#_keyboard-shortcuts-reference), where you can also see how to customize your keybindings.

## Commands
Commands make VsCode extremely powerful.

To invoke a command, press `cmd+shift+P` and select the command you want to execute.
For example, to see the Foam graph:
- press `cmd+shift+P`
- start typing `show graph`
- select the `Foam: Show Graph` command

And watch the magic unfold.

For more information on commands, see [commands on the VsCode site](https://code.visualstudio.com/docs/getstarted/userinterface#_command-palette).


If you want to learn more about VsCode, check out their [website](https://code.visualstudio.com/docs#first-steps).

## Panels

You can see a few panels on the left, including:
- `Outline`: this panel shows you the structure of the file based on the headings
- `Tag Explorer`: This shows you the tags in your workspace, see [[tags-and-tag-explorer]] for more information on tags

## Settings

To view or change the settings in VsCode, press `cmd+,`

[//begin]: # "Autogenerated link references for markdown compatibility"
[tags-and-tag-explorer]: ../features/tags-and-tag-explorer.md "Tags and Tag Explorer"
[//end]: # "Autogenerated link references"
